org.jbpm.services.task.impl.model

## Class PeopleAssignmentsImpl_

- java.lang.Object
- - org.jbpm.services.task.impl.model.PeopleAssignmentsImpl_

-     @Generated(value="org.hibernate.jpamodelgen.JPAMetaModelEntityProcessor")
      public abstract class PeopleAssignmentsImpl_
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BUSINESS_ADMINISTRATORS`
    `static javax.persistence.metamodel.ListAttribute<PeopleAssignmentsImpl,OrganizationalEntityImpl>` | `businessAdministrators`
    `static String` | `EXCLUDED_OWNERS`
    `static javax.persistence.metamodel.ListAttribute<PeopleAssignmentsImpl,OrganizationalEntityImpl>` | `excludedOwners`
    `static String` | `POTENTIAL_OWNERS`
    `static javax.persistence.metamodel.ListAttribute<PeopleAssignmentsImpl,OrganizationalEntityImpl>` | `potentialOwners`
    `static javax.persistence.metamodel.ListAttribute<PeopleAssignmentsImpl,OrganizationalEntityImpl>` | `recipients`
    `static String` | `RECIPIENTS`
    `static String` | `TASK_INITIATOR`
    `static String` | `TASK_STAKEHOLDERS`
    `static javax.persistence.metamodel.SingularAttribute<PeopleAssignmentsImpl,UserImpl>` | `taskInitiator`
    `static javax.persistence.metamodel.ListAttribute<PeopleAssignmentsImpl,OrganizationalEntityImpl>` | `taskStakeholders`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PeopleAssignmentsImpl_()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### potentialOwners

          public static volatile javax.persistence.metamodel.ListAttribute<PeopleAssignmentsImpl,OrganizationalEntityImpl> potentialOwners

    - #### taskStakeholders

          public static volatile javax.persistence.metamodel.ListAttribute<PeopleAssignmentsImpl,OrganizationalEntityImpl> taskStakeholders

    - #### excludedOwners

          public static volatile javax.persistence.metamodel.ListAttribute<PeopleAssignmentsImpl,OrganizationalEntityImpl> excludedOwners

    - #### taskInitiator

          public static volatile javax.persistence.metamodel.SingularAttribute<PeopleAssignmentsImpl,UserImpl> taskInitiator

    - #### recipients

          public static volatile javax.persistence.metamodel.ListAttribute<PeopleAssignmentsImpl,OrganizationalEntityImpl> recipients

    - #### businessAdministrators

          public static volatile javax.persistence.metamodel.ListAttribute<PeopleAssignmentsImpl,OrganizationalEntityImpl> businessAdministrators

    - #### POTENTIAL_OWNERS

          public static final String POTENTIAL_OWNERS

      See Also:
        Constant Field Values

    - #### TASK_STAKEHOLDERS

          public static final String TASK_STAKEHOLDERS

      See Also:
        Constant Field Values

    - #### EXCLUDED_OWNERS

          public static final String EXCLUDED_OWNERS

      See Also:
        Constant Field Values

    - #### TASK_INITIATOR

          public static final String TASK_INITIATOR

      See Also:
        Constant Field Values

    - #### RECIPIENTS

          public static final String RECIPIENTS

      See Also:
        Constant Field Values

    - #### BUSINESS_ADMINISTRATORS

          public static final String BUSINESS_ADMINISTRATORS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PeopleAssignmentsImpl_

          public PeopleAssignmentsImpl_()

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.